Package com.xebialabs.xlrelease.domain.delivery

# Class Stage

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.Stage

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class Stage extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_STAGE_TITLE`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stage()`
  `Stage(String title)`
  `Stage(String id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTrackedItems(List<StageTrackedItem> items)`
  `Optional<StageTrackedItem>`
  `findItemById(String trackedItemId)`
  `StageTrackedItem`
  `getItemById(String trackedItemId)`
  `List<StageTrackedItem>`
  `getItems()`
  `String`
  `getOwner()`
  `StageStatus`
  `getStatus()`
  `String`
  `getTeam()`
  `String`
  `getTitle()`
  `Transition`
  `getTransition()`
  `boolean`
  `hasOwner()`
  `boolean`
  `hasTeam()`
  `boolean`
  `hasTransition()`
  `boolean`
  `isClosed()`
  `boolean`
  `isOpen()`
  `boolean`
  `isOwner(String stageOwner)`
  `void`
  `removeTrackedItem(String itemId)`
  `void`
  `setItems(List<StageTrackedItem> items)`
  `void`
  `setOwner(String value)`
  `void`
  `setStatus(StageStatus status)`
  `void`
  `setTeam(String team)`
  `void`
  `setTitle(String title)`
  `void`
  `setTransition(Transition transition)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STAGE_TITLE

    public static final String DEFAULT_STAGE_TITLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Stage

    public Stage()

  - ### Stage

    public Stage(String title)

  - ### Stage

    public Stage(String id, String title)

- ## Method Details

  - ### getItemById

    public StageTrackedItem getItemById(String trackedItemId)

  - ### findItemById

    public Optional<StageTrackedItem> findItemById(String trackedItemId)

  - ### removeTrackedItem

    public void removeTrackedItem(String itemId)

  - ### addTrackedItems

    public void addTrackedItems(List<StageTrackedItem> items)

  - ### isOpen

    public boolean isOpen()

  - ### isClosed

    public boolean isClosed()

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getStatus

    public StageStatus getStatus()

  - ### setStatus

    public void setStatus(StageStatus status)

  - ### getItems

    public List<StageTrackedItem> getItems()

  - ### setItems

    public void setItems(List<StageTrackedItem> items)

  - ### hasTransition

    public boolean hasTransition()

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String value)

  - ### hasOwner

    public boolean hasOwner()

  - ### isOwner

    public boolean isOwner(String stageOwner)

  - ### getTeam

    public String getTeam()

  - ### hasTeam

    public boolean hasTeam()

  - ### setTeam

    public void setTeam(String team)

  - ### getTransition

    public Transition getTransition()

  - ### setTransition

    public void setTransition(Transition transition)